Subject: iCAN measurement and BFD-//RE: Followup on my comments

From: "Liubing (Leo)" <[email-masked]>
Date: Tue, 30 Jul 2019 02:03:02 +0000

Dear Greg,

(I re-shaped the title for more explicit indication of the topic.)
Thanks for your comments, and sorry for my delayed response.
Please see my replies inline.

From: Greg Mirsky [mailto:[email-masked]]
Sent: Monday, July 22, 2019 11:52 PM
To: [email-masked]; RTGWG <[email-masked]>
Subject: Followup on my comments

Dear Authors, et al.,
to summarize my comments at the mike:

  *   BFD WG will discuss possible extensions to BFD proposed in draft-mirmin-bfd-extended<https://tools.ietf.org/html/draft-mirmin-bfd-extended-01>. Appreciate your comments to the potential use of the proposed ideas for iCAN.
[Bing] Please let me clarify that iCAN was not designed to compete with BFD. They are basically two different things. iCAN is regarding to allowing the routers switch flows between multiple paths autonomously without the involvement of the Controller. In order to do this, the routers also need to do some measurement of the paths. Thus, for the scenarios that already deploy iCAN, we thought it won’t be necessary to enable BFD for the path detection. So, this is a “bonus” for the iCAN scenarios.
For general scenarios, especially link failure detection, I believe BFD is still inevitable.

  *   It is my understanding that iCAN enables transient nodes to measure Residence time as defined in Section 2 RFC 8169<https://tools.ietf.org/html/rfc8169#section-2>. Is my understanding of iCAN correct?
  *   in section 4.4 of draft-mirsky-sfc-pmamm<https://tools.ietf.org/html/draft-mirsky-sfc-pmamm-08> we discuss how the Alternate Marking method can be used to measure the Residence Time for an SFF and/or an SF. That can be extended to other overlay and underlay networks.
[Bing] iCAN is not aimed for measuring Residence Time; it is about “how congested the path is?”, which is basically a ratio of the Egress-Receiving-Throughput and Ingress-Sending-Throughput on a specific path. In this way, we can get very instant measurement result for very fast flow path adjustment (in our current prototype, it is done every 10ms.).
Best regards,
Bing

Regards,
Greg